Bug 1563706 - Review Request: gravity-beams-and-evaporating-stars - a game about hurling asteroids into the sun
Summary: Review Request: gravity-beams-and-evaporating-stars - a game about hurling as...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2018-04-04 14:09 UTC by Artur Iwicki
Modified: 2018-05-05 22:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-05 20:32:29 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Artur Iwicki 2018-04-04 14:09:12 UTC
spec: https://svgames.pl/fedora/gravity-beams-and-evaporating-stars-0-4.spec
srpm: https://svgames.pl/fedora/gravity-beams-and-evaporating-stars-0-4.src.rpm
koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=26167013

Description: Take control of a lone planet whose star is dying. Use your gravity beams to hurl nearby asteroids into the sun, feeding it some extra matter. While saving the star, be sure to avoid being hit by the asteroids yourself.

Fedora Account System Username: suve

Comment 1 Robert-André Mauchin 2018-04-04 17:19:42 UTC
 - Why don't you use the %cmake macro instead of:

export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"

cd build
cmake .

 - You made a typo in the %changelog: 0.4.20180114git3f2aa58 → 0-4.20180114git3f2aa58

 - Use either spaces or tabs, not both:

gravity-beams-and-evaporating-stars.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 9)



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 47 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/gravity-beams-and-evaporating-stars/review-
     gravity-beams-and-evaporating-stars/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gravity-beams-and-evaporating-stars-0-4.20180114git3f2aa58.fc29.x86_64.rpm
          gravity-beams-and-evaporating-stars-debuginfo-0-4.20180114git3f2aa58.fc29.x86_64.rpm
          gravity-beams-and-evaporating-stars-debugsource-0-4.20180114git3f2aa58.fc29.x86_64.rpm
          gravity-beams-and-evaporating-stars-0-4.20180114git3f2aa58.fc29.src.rpm
gravity-beams-and-evaporating-stars.x86_64: W: incoherent-version-in-changelog 0.4.20180114git3f2aa58 ['0-4.20180114git3f2aa58.fc29', '0-4.20180114git3f2aa58']
gravity-beams-and-evaporating-stars.x86_64: W: only-non-binary-in-usr-lib
gravity-beams-and-evaporating-stars.x86_64: W: dangling-symlink /usr/share/gravity-beams-and-evaporating-stars/data/DejaVuSans.ttf /usr/share/fonts/dejavu/DejaVuSans.ttf
gravity-beams-and-evaporating-stars.x86_64: W: spurious-executable-perm /usr/share/man/man1/gravity-beams-and-evaporating-stars.1.gz
gravity-beams-and-evaporating-stars-debugsource.x86_64: E: description-line-too-long C This package provides debug sources for package gravity-beams-and-evaporating-stars.
gravity-beams-and-evaporating-stars-debugsource.x86_64: W: no-documentation
gravity-beams-and-evaporating-stars.src:15: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 9)
4 packages and 0 specfiles checked; 1 errors, 6 warnings.

Comment 3 Artur Iwicki 2018-04-06 17:55:10 UTC
Ah, I've just noticed that the man page has the executable bit set. Fixed that. SPEC and SRPM remain as above. New koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=26196170

Comment 4 Robert-André Mauchin 2018-04-23 18:10:42 UTC
Sorry for the delay, I had a tons of mails to get through.

Package approved.

Comment 5 Gwyn Ciesla 2018-04-23 21:34:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/gravity-beams-and-evaporating-stars

Comment 6 Fedora Update System 2018-04-24 11:42:48 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d25b249b5f

Comment 7 Fedora Update System 2018-04-24 11:43:12 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6899423456

Comment 8 Fedora Update System 2018-04-24 11:43:43 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-811fef29b4

Comment 9 Fedora Update System 2018-04-24 19:15:04 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d25b249b5f

Comment 10 Fedora Update System 2018-04-25 19:42:38 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6899423456

Comment 11 Fedora Update System 2018-04-25 20:10:26 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-811fef29b4

Comment 12 Fedora Update System 2018-05-05 20:32:29 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-05-05 21:24:18 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-05-05 22:26:29 UTC
gravity-beams-and-evaporating-stars-0-5.20180114git3f2aa58.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.